| Streamaxia Open SDK 3.2

List of all members
AXStreamInfo Class Reference

`#import <AXStreamInfo.h>`

Inheritance diagram for AXStreamInfo:

## Class Methods
Lifecycle
(instancetype) | + streamInfo
(instancetype) | + secureStreamInfo

## Properties
Properties
NSString * | serverAddress
NSString * | applicationName
NSString * | streamName
BOOL | useSecureConnection
NSString * | username
NSString * | password
NSURL * | streamURL
NSString * | streamURLString
NSString * | customStreamURLString
NSURL * | customStreamURL
BOOL | usesCustomURL

## Detailed Description

The model wrapping the stream info. It is mandatory to set the server address, the application name and the stream name.

## Method Documentation

## ◆ secureStreamInfo()

+ (instancetype) secureStreamInfo |  |  |

Factory method for creating default stream info, using RTMPS protocol.

Returns
  The initialized object.

## ◆ streamInfo()

+ (instancetype) streamInfo |  |  |

Factory method for creating default stream info, using RTMP protocol.

Returns
  The initialized object.

## Property Documentation

## ◆ applicationName

- (NSString*) applicationName
| read write nonatomic strong

The application name. This must be mandatory set.

## ◆ customStreamURL

- (NSURL*) customStreamURL
| read nonatomic strong

The custom URL.

## ◆ customStreamURLString

- (NSString*) customStreamURLString
| read write nonatomic strong

The custom URL string. Use this property to setup a streaming URL that doesn't conform with the standard "serverAddress/applicationName/streamName".

If the streaming URL is standrad, (<protocol>://serverAddress/applicationName/streamName) it is recommended to use the serverAddress, applicationName and streamName in order to build the URL.

## ◆ password

- (NSString*) password
| read write nonatomic strong

The password for the streaming server. Defaults to empty string.

## ◆ serverAddress

- (NSString*) serverAddress
| read write nonatomic strong

The server address (e.g. 20.237.227.201). This must be mandatory set.

## ◆ streamName

- (NSString*) streamName
| read write nonatomic strong

The stream name. This must be mandatory set.

## ◆ streamURL

- (NSURL*) streamURL
| read nonatomic strong

The full stream URL.

## ◆ streamURLString

- (NSString*) streamURLString
| read nonatomic strong

The full stream URL string. It is formed like this: <protocol>://user:pass/applicationName/streamName. (e.g. rtmp://20.237.227.201/someApp/someStream

## ◆ username

- (NSString*) username
| read write nonatomic strong

The user name for the streaming server. Defaults to empty string.

## ◆ usesCustomURL

- (BOOL) usesCustomURL
| read nonatomic assign

Returns YES if the customStreamURLString property is set to non empty value.

## ◆ useSecureConnection

- (BOOL) useSecureConnection
| read write nonatomic assign

If set to YES, will use RTMPS protocol, otherwise will use RTMP. The default value is NO.

The documentation for this class was generated from the following file:

- /Users/mac/Documents/StreamaxiaSDK/Streamaxia Open SDK/StreamaxiaSDK.framework/Headers/AXStreamInfo.h